[openwrt/openwrt] ugps: update to latest HEAD, introduce baudrate
LEDE Commits
lede-commits at lists.infradead.org
Wed Jul 26 05:29:51 PDT 2023
hauke pushed a commit to openwrt/openwrt.git, branch master:
https://git.openwrt.org/f50eb064419cf67854f87469eb6d408399490247
commit f50eb064419cf67854f87469eb6d408399490247
Author: Arne Zachlod <arne at nerdkeller.org>
AuthorDate: Wed Jul 5 10:55:44 2023 +0200
ugps: update to latest HEAD, introduce baudrate
350b960 add support for multi GNSS solutions
fb87d0f ugps: add baud rate command line option
a8171a0 main.c: -S does not take any options
Build-tested: ramips/ltap-2hnd
Run-tested: ramips/ltap-2hnd
Signed-off-by: Arne Zachlod <arne at nerdkeller.org>
---
package/utils/ugps/Makefile | 6 +++---
package/utils/ugps/files/ugps.init | 2 ++
2 files changed, 5 insertions(+), 3 deletions(-)
diff --git a/package/utils/ugps/Makefile b/package/utils/ugps/Makefile
index 5afba4e0b0..322f0d210d 100644
--- a/package/utils/ugps/Makefile
+++ b/package/utils/ugps/Makefile
@@ -12,9 +12,9 @@ PKG_RELEASE:=2
PKG_SOURCE_URL=$(PROJECT_GIT)/project/ugps.git
PKG_SOURCE_PROTO:=git
-PKG_SOURCE_DATE:=2021-06-08
-PKG_SOURCE_VERSION:=5e88403fc0d39ae8a270d2c6c6e9c8a4d5232cf3
-PKG_MIRROR_HASH:=a3dfc2cc6def3b634d8b7cda9139926be3d876cf2faa5251c4821987954442a5
+PKG_SOURCE_DATE:=2023-01-27
+PKG_SOURCE_VERSION:=a8171a07193351a9125024d5c759c0ebd6a6895c
+PKG_MIRROR_HASH:=9116c9698c15744bb2e36a7cfd0a73f1609b6932f32ca07da57238aea8a2d5cf
PKG_MAINTAINER:=John Crispin <john at phrozen.org>
PKG_LICENSE:=GPL-2.0+
diff --git a/package/utils/ugps/files/ugps.init b/package/utils/ugps/files/ugps.init
index 77c3603066..e702b4ca44 100644
--- a/package/utils/ugps/files/ugps.init
+++ b/package/utils/ugps/files/ugps.init
@@ -12,6 +12,7 @@ service_triggers() {
start_service() {
local tty="$(uci get gps. at gps[-1].tty)"
+ local baudrate="$(uci get gps. at gps[-1].baudrate || echo 0)"
local atime="$(uci get gps. at gps[-1].adjust_time)"
local disabled="$(uci get gps. at gps[-1].disabled || echo 0)"
@@ -29,6 +30,7 @@ start_service() {
procd_open_instance
procd_set_param command "$PROG"
+ [ "$baudrate" -eq 0 ] || procd_append_param command "-b ${baudrate}"
[ "$atime" -eq 0 ] || procd_append_param command "-a"
procd_append_param command "$tty"
procd_set_param respawn
More information about the lede-commits
mailing list